#property indicator_chart_window

extern int     timeAdj=0;
extern int       corner        = 0;
extern color     color_up      = Lime;
extern color     color_down    = Orange;
extern string    Symbol1       = "EURUSD";
extern string    Symbol2       = "GBPUSD";
extern string    Symbol3       = "USDCHF";
extern string    Symbol4       = "USDJPY";
extern string    Symbol5       = "GBPJPY";


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   ObjectCreate("Header1",OBJ_LABEL,0,0,0,0,0);

   ObjectCreate("Symbol1",OBJ_LABEL,0,0,0,0,0);
   ObjectCreate("Symbol2",OBJ_LABEL,0,0,0,0,0);   
   ObjectCreate("Symbol3",OBJ_LABEL,0,0,0,0,0);   
   ObjectCreate("Symbol4",OBJ_LABEL,0,0,0,0,0);
   ObjectCreate("Symbol5",OBJ_LABEL,0,0,0,0,0);
 //----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectDelete("Header1");
   
   ObjectDelete ("Symbol1");
   ObjectDelete ("Symbol2");   
   ObjectDelete ("Symbol3");   
   ObjectDelete ("Symbol4");
   ObjectDelete ("Symbol5");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
//----
     double sym_1 =(iClose(Symbol1,PERIOD_M1,0) - iOpen(Symbol1,PERIOD_D1,0))*100000;
     double sym_2 =(iClose(Symbol2,PERIOD_M1,0) - iOpen(Symbol2,PERIOD_D1,0))*100000;
     double sym_3 =(iClose(Symbol3,PERIOD_M1,0) - iOpen(Symbol3,PERIOD_D1,0))*100000;
     double sym_4 =(iClose(Symbol4,PERIOD_M1,0) - iOpen(Symbol4,PERIOD_D1,0))*1000;
     double sym_5 =(iClose(Symbol5,PERIOD_M1,0) - iOpen(Symbol5,PERIOD_D1,0))*1000;
     
     double sym_1W =(iClose(Symbol1,PERIOD_M1,0) - iOpen(Symbol1,PERIOD_W1,0))*100000;
     double sym_2W =(iClose(Symbol2,PERIOD_M1,0) - iOpen(Symbol2,PERIOD_W1,0))*100000;
     double sym_3W =(iClose(Symbol3,PERIOD_M1,0) - iOpen(Symbol3,PERIOD_W1,0))*100000;
     double sym_4W =(iClose(Symbol4,PERIOD_M1,0) - iOpen(Symbol4,PERIOD_W1,0))*1000;
     double sym_5W =(iClose(Symbol5,PERIOD_M1,0) - iOpen(Symbol5,PERIOD_W1,0))*1000;
 
     double sym_1NCH =MathAbs((iLow(Symbol1,PERIOD_D1,0)-iOpen(Symbol1,PERIOD_D1,0)));
     double sym_1NCL =MathAbs((iHigh(Symbol1,PERIOD_D1,0)-iOpen(Symbol1,PERIOD_D1,0)));
     
     double sym_2NCH =MathAbs((iLow(Symbol2,PERIOD_D1,0)-iOpen(Symbol2,PERIOD_D1,0)));
     double sym_2NCL =MathAbs((iHigh(Symbol2,PERIOD_D1,0)-iOpen(Symbol2,PERIOD_D1,0)));
     
     double sym_3NCH =MathAbs((iLow(Symbol3,PERIOD_D1,0)-iOpen(Symbol3,PERIOD_D1,0)));
     double sym_3NCL =MathAbs((iHigh(Symbol3,PERIOD_D1,0)-iOpen(Symbol3,PERIOD_D1,0)));

     double sym_4NCH =MathAbs((iLow(Symbol4,PERIOD_D1,0)-iOpen(Symbol4,PERIOD_D1,0)));
     double sym_4NCL =MathAbs((iHigh(Symbol4,PERIOD_D1,0)-iOpen(Symbol4,PERIOD_D1,0)));
     
     double sym_5NCH =MathAbs((iLow(Symbol5,PERIOD_D1,0)-iOpen(Symbol5,PERIOD_D1,0)));
     double sym_5NCL =MathAbs((iHigh(Symbol5,PERIOD_D1,0)-iOpen(Symbol5,PERIOD_D1,0)));
 
 //----
     color color_1 = 0, color_2 = 0, color_3 = 0, color_4 = 0, color_5 = 0;
  
     if(sym_1>0)color_1=color_up; else color_1=color_down;
     if(sym_2>0)color_2=color_up; else color_2=color_down;     
     if(sym_3>0)color_3=color_up; else color_3=color_down;     
     if(sym_4>0)color_4=color_up; else color_4=color_down;     
     if(sym_5>0)color_5=color_up; else color_5=color_down;  

     double sym_1NC=0; 
     if(sym_1NCH > sym_1NCL)sym_1NC=(iLow(Symbol1,PERIOD_D1,0)-iOpen(Symbol1,PERIOD_D1,0))*100000; 
      else sym_1NC=(iHigh(Symbol1,PERIOD_D1,0)-iOpen(Symbol1,PERIOD_D1,0))*100000;

     double sym_2NC=0; 
     if(sym_2NCH > sym_2NCL)sym_2NC=(iLow(Symbol2,PERIOD_D1,0)-iOpen(Symbol2,PERIOD_D1,0))*100000; 
      else sym_2NC=(iHigh(Symbol2,PERIOD_D1,0)-iOpen(Symbol2,PERIOD_D1,0))*100000;     
      
     double sym_3NC=0; 
     if(sym_3NCH > sym_3NCL)sym_3NC=(iLow(Symbol3,PERIOD_D1,0)-iOpen(Symbol3,PERIOD_D1,0))*100000; 
      else sym_3NC=(iHigh(Symbol3,PERIOD_D1,0)-iOpen(Symbol3,PERIOD_D1,0))*100000;      

     double sym_4NC=0; 
     if(sym_4NCH > sym_4NCL)sym_4NC=(iLow(Symbol4,PERIOD_D1,0)-iOpen(Symbol4,PERIOD_D1,0))*1000; 
      else sym_4NC=(iHigh(Symbol4,PERIOD_D1,0)-iOpen(Symbol4,PERIOD_D1,0))*1000;      

     double sym_5NC=0; 
     if(sym_5NCH > sym_5NCL)sym_5NC=(iLow(Symbol5,PERIOD_D1,0)-iOpen(Symbol5,PERIOD_D1,0))*1000; 
      else sym_5NC=(iHigh(Symbol5,PERIOD_D1,0)-iOpen(Symbol5,PERIOD_D1,0))*1000;      
               
     string Header_1 ="Curr Pair    "+"Daily NC   "+"High      "+"Low      "+"Price   " +"Highest NC";
     
     string Symbol_1 ="            "+DoubleToStr(sym_1, 0)+"    "+DoubleToStr(iHigh(Symbol1,PERIOD_D1,0), 4)+"    "+DoubleToStr(iLow(Symbol1,PERIOD_D1,0), 4)+"    "+DoubleToStr(MarketInfo(Symbol1,MODE_BID), 4)+"       "+DoubleToStr(sym_1NC, 0);
     string Symbol_2 ="            "+DoubleToStr(sym_2, 0)+"    "+DoubleToStr(iHigh(Symbol2,PERIOD_D1,0), 4)+"    "+DoubleToStr(iLow(Symbol2,PERIOD_D1,0), 4)+"    "+DoubleToStr(MarketInfo(Symbol2,MODE_BID), 4)+"       "+DoubleToStr(sym_2NC, 0);
     string Symbol_3 ="            "+DoubleToStr(sym_3, 0)+"    "+DoubleToStr(iHigh(Symbol3,PERIOD_D1,0), 4)+"    "+DoubleToStr(iLow(Symbol3,PERIOD_D1,0), 4)+"    "+DoubleToStr(MarketInfo(Symbol3,MODE_BID), 4)+"       "+DoubleToStr(sym_3NC, 0);    
     string Symbol_4 ="            "+DoubleToStr(sym_4, 0)+"     "+DoubleToStr(iHigh(Symbol4,PERIOD_D1,0), 2)+"        "+DoubleToStr(iLow(Symbol4,PERIOD_D1,0), 2)+"    "+DoubleToStr(MarketInfo(Symbol4,MODE_BID), 2)+"      "+DoubleToStr(sym_4NC, 0);
     string Symbol_5 ="            "+DoubleToStr(sym_5, 0)+"    "+DoubleToStr(iHigh(Symbol5,PERIOD_D1,0), 2)+"    "+DoubleToStr(iLow(Symbol5,PERIOD_D1,0), 2)+"    "+DoubleToStr(MarketInfo(Symbol5,MODE_BID), 2)+"       "+DoubleToStr(sym_5NC, 0);

//----
     ObjectSetText("Header1",Header_1,10,"Arial",Yellow);
     ObjectSet("Header1",OBJPROP_XDISTANCE,3);     
     ObjectSet("Header1",OBJPROP_YDISTANCE,10);
     ObjectSet("Header1",OBJPROP_COLOR,Yellow);
     ObjectSet("Header1",OBJPROP_CORNER,corner);
    
     ObjectSetText("Symbol1",Symbol1+Symbol_1,10,"Arial",Lime);
     ObjectSet("Symbol1",OBJPROP_XDISTANCE,3);     
     ObjectSet("Symbol1",OBJPROP_YDISTANCE,30);
     ObjectSet("Symbol1",OBJPROP_COLOR,color_1);
     ObjectSet("Symbol1",OBJPROP_CORNER,corner);
     
     ObjectSetText("Symbol2",Symbol2+Symbol_2,10,"Arial",Lime);
     ObjectSet("Symbol2",OBJPROP_XDISTANCE,3);     
     ObjectSet("Symbol2",OBJPROP_YDISTANCE,50);
     ObjectSet("Symbol2",OBJPROP_COLOR,color_2);
     ObjectSet("Symbol2",OBJPROP_CORNER,corner);     
     
     ObjectSetText("Symbol3",Symbol3+Symbol_3,10,"Arial",Lime);
     ObjectSet("Symbol3",OBJPROP_XDISTANCE,3);     
     ObjectSet("Symbol3",OBJPROP_YDISTANCE,70);
     ObjectSet("Symbol3",OBJPROP_COLOR,color_3);
     ObjectSet("Symbol3",OBJPROP_CORNER,corner);     
     
     ObjectSetText("Symbol4",Symbol4+Symbol_4,10,"Arial",Lime);
     ObjectSet("Symbol4",OBJPROP_XDISTANCE,3);     
     ObjectSet("Symbol4",OBJPROP_YDISTANCE,90);
     ObjectSet("Symbol4",OBJPROP_COLOR,color_4);    
     ObjectSet("Symbol4",OBJPROP_CORNER,corner);

     ObjectSetText("Symbol5",Symbol5+Symbol_5,10,"Arial",Lime);
     ObjectSet("Symbol5",OBJPROP_XDISTANCE,3);     
     ObjectSet("Symbol5",OBJPROP_YDISTANCE,110);
     ObjectSet("Symbol5",OBJPROP_COLOR,color_5);   
     ObjectSet("Symbol5",OBJPROP_CORNER,corner);

//----
   return(0);
  }
//+------------------------------------------------------------------+